package redisrpc

import (
	"github.com/golang/protobuf/proto"
)

/**
 * 使用用户名查询
 */
func SetExpire(key string, ttl uint64, url ...string) (uint64, error) {

	conn, _, err := Conn(url...)

	if err != nil {
		return 0, err
	}
	defer conn.Close()

	req := &SetExpireRequest{proto.String(key), proto.Uint64(ttl), nil}

	res := &SetExpireResponse{}

	err = conn.SetExpire(req, res)

	if err != nil {
		return 0, err
	}

	return res.GetRet(), nil
}
